#include <graph.h>
#include <stdio.h>
#include <stdlib.h>

int ZoneRectangle(int upper_x,int upper_y,int lower_x,int lower_y,int pos_x,int pos_y){
	//upper_x et upper_y sont les coordonnées du point supérieur gauche du rectangle
	//lower_x et lower_y sont les coordonnées du point inférieur droit du rectangle
	//La fonction renvoie 1 si la souris est dans la zone et renvoie 0 si elle n'y est pas
	SourisPosition();
	int pos_x = _X
	if ((pos_x <= upper_x && pos_x >= lower_x) && (pos_y <= upper_y && pos_y >= lower_y))
		return 1;
	else return 0;
}

int main(void){
	int pos_x,pos_y;
	InitialiserGraphique();
	CreerFenetre(10,10,1000,1000);
	RemplirRectangle(10,10,100,100);
	while(1){
		if (SourisCliquee())
			break;
	}
	FermerGraphique();
	return EXIT_SUCCESS;
}
